AXIOMATIC(1)

NAME
axiomatic - command-line tool for creating, configuring, and inspecting an axiom database

SYNOPSIS
axiomatic [options] [command]

DESCRIPTION
This manual page documents briefly the axiomatic command.

axiomatic allows creation, configuration and interaction with an axiom database. The most commonly used subcommands are start, stop and status.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-b, --debug
    Enable Axiom-level debug logging.

-d, --dbdir=
    Path containing axiom database to configure/create.

--version
    Show version of program.

--help
    Display help.

COMMANDS
Except when using --version and --help, you need to specify one command. The possible commands are included below. Note that axiomatic has an extensible plugin system, so the exact list of commands will differ depending on what axiomatic plugins are available.

start
    Launch the given Axiom database.

stop
    Stop the server running from the given Axiom database.

status
    Report whether a server is running from the given Axiom database.

insert-user
    Insert a user store, such as one extracted with extract-user, into a site store and login system.

userbase
    LoginSystem introspection and manipulation.

extract-user
    Remove an account from the login system, moving its associated database to the filesystem.

browse
    Interact with an Axiom store.

SEE ALSO

AUTHOR
axiomatic is part of Axiom, an object database, or alternatively, an object-relational mapper written by Divmod.

This manual page was written by Vincent Bernat <bernat@luffy.cx>, for the Debian project (but may be used by others).